Subject: Re: bug#19390: 25.0.50; `package-activate' is too slow

From: Artur Malabarba <[email-masked]>
Date: Tue, 16 Dec 2014 11:26:15 -0200

I didn't notice anything as aggravating as the report, but I agree my
latest patch is a performance concern.

The proposed patch looks good, just a couple of notes:

1. I'd use RELOAD for the name of the optional argument.
2. Since this function now takes a second (somewhat non-trivial
argument), we should add a docstring to it:

"Activate package given by PKG-DESC, even if it was already active.
If RELOAD is non-nil, also `load' any files inside the package which
correspond to previously loaded files (those returned by
`package--list-loaded-files').

This is called internally by `package-activate'."